weka.core.pmml.jaxbbindings

## Class AnovaRow

- java.lang.Object
- - weka.core.pmml.jaxbbindings.AnovaRow

-     public class AnovaRow
      extends java.lang.Object

  Java class for AnovaRow element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="AnovaRow">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               </sequence>
               <attribute name="degreesOfFreedom" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="fValue" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="meanOfSquares" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="pValue" type="{http://www.dmg.org/PMML-4_1}PROB-NUMBER" />
               <attribute name="sumOfSquares" use="required" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="type" use="required">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <enumeration value="Model"/>
                     <enumeration value="Error"/>
                     <enumeration value="Total"/>
                   </restriction>
                 </simpleType>
               </attribute>
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnovaRow()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDegreesOfFreedom()` Gets the value of the degreesOfFreedom property.
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `java.lang.Double` | `getFValue()` Gets the value of the fValue property.
    `java.lang.Double` | `getMeanOfSquares()` Gets the value of the meanOfSquares property.
    `java.math.BigDecimal` | `getPValue()` Gets the value of the pValue property.
    `double` | `getSumOfSquares()` Gets the value of the sumOfSquares property.
    `java.lang.String` | `getType()` Gets the value of the type property.
    `void` | `setDegreesOfFreedom(double value)` Sets the value of the degreesOfFreedom property.
    `void` | `setFValue(java.lang.Double value)` Sets the value of the fValue property.
    `void` | `setMeanOfSquares(java.lang.Double value)` Sets the value of the meanOfSquares property.
    `void` | `setPValue(java.math.BigDecimal value)` Sets the value of the pValue property.
    `void` | `setSumOfSquares(double value)` Sets the value of the sumOfSquares property.
    `void` | `setType(java.lang.String value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnovaRow

          public AnovaRow()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getDegreesOfFreedom

          public double getDegreesOfFreedom()

      Gets the value of the degreesOfFreedom property.

    - #### setDegreesOfFreedom

          public void setDegreesOfFreedom(double value)

      Sets the value of the degreesOfFreedom property.

    - #### getFValue

          public java.lang.Double getFValue()

      Gets the value of the fValue property.
      Returns:
        possible object is `Double`

    - #### setFValue

          public void setFValue(java.lang.Double value)

      Sets the value of the fValue property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getMeanOfSquares

          public java.lang.Double getMeanOfSquares()

      Gets the value of the meanOfSquares property.
      Returns:
        possible object is `Double`

    - #### setMeanOfSquares

          public void setMeanOfSquares(java.lang.Double value)

      Sets the value of the meanOfSquares property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getPValue

          public java.math.BigDecimal getPValue()

      Gets the value of the pValue property.
      Returns:
        possible object is `BigDecimal`

    - #### setPValue

          public void setPValue(java.math.BigDecimal value)

      Sets the value of the pValue property.
      Parameters:
        `value` - allowed object is `BigDecimal`

    - #### getSumOfSquares

          public double getSumOfSquares()

      Gets the value of the sumOfSquares property.

    - #### setSumOfSquares

          public void setSumOfSquares(double value)

      Sets the value of the sumOfSquares property.

    - #### getType

          public java.lang.String getType()

      Gets the value of the type property.
      Returns:
        possible object is `String`

    - #### setType

          public void setType(java.lang.String value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `String`